# TODO:
# - runtime Requires if any
# - python3 version
# - .pyo etc
%define		kdeframever	5.86
%define		qtver		5.9.0
%define		kfname		kapidox
Summary:	Kapidox
Name:		kf5-%{kfname}
Version:	5.86.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	4be26417803a12644d3811330e93bfff
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= 5.2.0
BuildRequires:	Qt5DBus-devel >= 5.2.0
BuildRequires:	Qt5Gui-devel >= 5.3.1
BuildRequires:	Qt5Test-devel
BuildRequires:	Qt5Widgets-devel >= 5.2.0
BuildRequires:	Qt5X11Extras-devel >= 5.2.0
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	ninja
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	sphinx-pdg
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	graphviz
Requires:	kf5-dirs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
This framework contains scripts and data for building API
documentation (dox) in a standard format and style.

The Doxygen tool is used to do the actual documentation extraction and
formatting, but this framework provides a wrapper script to make
generating the documentation more convenient (including reading
settings from the target framework or other module) and a standard
template for the generated documentation.

%prep
%setup -q -n %{kfname}-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/depdiagram-generate
%attr(755,root,root) %{_bindir}/depdiagram-generate-all
%attr(755,root,root) %{_bindir}/depdiagram-prepare
%attr(755,root,root) %{_bindir}/kapidox_generate
%{py3_sitescriptdir}/kapidox/
%{py3_sitescriptdir}/kapidox-*.egg-info
%{_mandir}/man1/depdiagram-generate-all.1*
%{_mandir}/man1/depdiagram-generate.1*
%{_mandir}/man1/depdiagram-prepare.1*
%changelog
* Fri Sep 17 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kapidox.git;a=log;h=master

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 3e313e9
- updated to 5.86.0

* Tue Aug 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> fc58105
- updated to 5.85.0

* Tue Jul 20 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 297351e
- packaging outstanding python files

* Tue Jul 20 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7f64ea3
- building and installing with py3 macros

* Sun Jul 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 959b872
- updated to 5.84.0

* Fri Mar 27 2020 Jan Rękorajski <baggins@pld-linux.org> d5d605b
- fix shebangs

* Tue Nov 26 2019 Łukasz Maśko <lmasko@pld-linux.org> 7d2bf7f
- Up to 5.62.0.

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> a8d70c7
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> d0e6394
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 76f9721
- updated to 5.53.0

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> e9142d1
- updated to 5.39.0

* Sun Jul 10 2016 Witold Filipczyk <witekfl@poczta.onet.pl> d77f84d
- commented out two man pages

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 60e6ced
- md5

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 5a32cc6
- 5.24

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 8bccaba
- updated to 5.24.0; fetch sources

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> ce7ccf6
- updated to 5.23

* Mon Mar 14 2016 Jan Rękorajski <baggins@pld-linux.org> 3f84bf0
- release 3 (by relup.sh)

* Mon Mar 14 2016 Jan Rękorajski <baggins@pld-linux.org> 55c7093
- this is not noarch
- rel 2

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 9e7d355
- updated to 5.19.0
- py_sitescriptdir -> py_sitedir

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 78bd50b
- up to 5.13.0

